Function
getOptionValue
Retrieves the value of an option given either the short or long name.
getOptionValue(value, parser, optionIdentifier[, argNo])
Include Headers
seqan/arg_parse.h
Parameters

value | The variable where the resulting value should be stored. Remarks: The type of value must be compatible the option type.
parser | The ArgumentParser object. Types: ArgumentParser
optionIdentifier | A std::string that is either the short or long name of the option.
argNo | If the option is list, the argNo-th list element is returned.

Remarks
The value passed to the method (value) was only updated if the method returns true.
Return Values
true if the requested option is set and has the requested type, false otherwise.
Member of
ArgumentParser
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57